import 'package:dcoupon_sdk_flutter_package/src/data/models/legal_document_model.dart';
import 'package:dcoupon_sdk_flutter_package/src/data/models/user_model.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/entities/enrollment_form.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class EnrollmentFormModel extends EnrollmentForm {
  EnrollmentFormModel({
    UserModel userModel,
    List<LegalDocumentModel> legalDocumentsModelList,
  }) : super(
          user: userModel,
          legalDocumentsList: legalDocumentsModelList,
        );

  factory EnrollmentFormModel.fromJson(Map<String, dynamic> json) {
    final legalDocumentsModelList = <LegalDocumentModel>[];
    if (json[Constants.LEGAL_DOCUMENTS] != null) {
      json[Constants.LEGAL_DOCUMENTS].forEach((v) {
        legalDocumentsModelList.add(LegalDocumentModel.fromJson(v));
      });
    }
    return EnrollmentFormModel(
      userModel: UserModel.fromJson(json[Constants.USER]),
      legalDocumentsModelList: legalDocumentsModelList,
    );
  }
}
