import 'package:dcoupon_sdk_flutter_package/src/domain/entities/legal_document.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:html_unescape/html_unescape.dart';

class LegalDocumentModel extends LegalDocument {
  LegalDocumentModel({
    String country,
    String docType,
    String docUuid,
    String legalText,
  }) : super(
          country: country,
          docType: docType,
          docUuid: docUuid,
          legalText: legalText,
        );

  factory LegalDocumentModel.fromJson(Map<String, dynamic> json) {
    final country = json[Constants.COUNTRY];
    final docType = json[Constants.DOC_TYPE];

    final content = json[Constants.CONTENT];
    final countryContent = content[country];
    final legalDoc = countryContent[Constants.LEGAL_DOC];
    var legalText;
    switch (docType) {
      case Constants.PP:
        legalText = HtmlUnescape().convert(legalDoc);
        break;
      case Constants.TOU:
        legalText = HtmlUnescape().convert(legalDoc);
        break;
      default:
        break;
    }

    return LegalDocumentModel(
      country: country,
      docType: docType,
      docUuid: json[Constants.DOC_UUID],
      legalText: legalText,
    );
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.DOC_TYPE] = docType;
    data[Constants.DOC_UUID] = docUuid;
    return data;
  }
}
