import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class StoreGetStoresQuery {
  final String lang;
  final String country;
  final int start;
  final int limit;
  final String promotionToken;
  final List<String> retailerTokens;
  final String zipcode;
  final String latitude;
  final String longitude;
  final String radius;
  final String publisherId;

  StoreGetStoresQuery({
    this.lang,
    this.country,
    this.start,
    this.limit,
    this.promotionToken,
    this.retailerTokens,
    this.zipcode,
    this.latitude,
    this.longitude,
    this.radius,
    this.publisherId,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.LANG] = lang;
    data[Constants.COUNTRY] = country;
    data[Constants.START] = start;
    data[Constants.LIMIT] = limit;
    data[Constants.PROMOTION_TOKEN] = promotionToken;
    data[Constants.RETAILER_TOKENS] =
        retailerTokens != null && retailerTokens.isNotEmpty
            ? retailerTokens.join(Constants.SEPARATOR)
            : null;
    data[Constants.ZIPCODE] = zipcode;
    data[Constants.LATITUDE] = latitude;
    data[Constants.LONGITUDE] = longitude;
    data[Constants.RADIUS] = radius;
    data[Constants.PUBLISHER_ID] = publisherId;
    return data;
  }
}
