import 'package:dcoupon_sdk_flutter_package/src/data/models/legal_document_model.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/entities/user.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:meta/meta.dart';

class UserAcceptEnrollmentFormRequest {
  final String externalId;
  final String jwt;
  final User user;
  final List<LegalDocumentModel> legalDocumentsAccepted;

  UserAcceptEnrollmentFormRequest({
    @required this.externalId,
    @required this.jwt,
    @required this.user,
    @required this.legalDocumentsAccepted,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.EXTERNAL_ID] = externalId;
    data[Constants.JWT] = jwt;
    data[Constants.EMAIL] = user.email;
    data[Constants.ALIAS] = user.alias;
    data[Constants.GENDER] = user.gender;
    data[Constants.BIRTHDATE] = user.birthdate;
    data[Constants.LEGAL_DOCUMENTS_ACCEPTED] = legalDocumentsAccepted;
    return data;
  }
}
