import 'package:dcoupon_sdk_flutter_package/src/domain/entities/user.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:meta/meta.dart';

class UserLoginRequest {
  final String clientCountry;
  final String externalId;
  final User user;

  UserLoginRequest({
    @required this.clientCountry,
    @required this.externalId,
    @required this.user,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.CLIENT_COUNTRY] = clientCountry;
    data[Constants.EXTERNAL_ID] = externalId;
    data[Constants.EMAIL] = user.email;
    data[Constants.ALIAS] = user.alias;
    data[Constants.GENDER] = user.gender;
    data[Constants.BIRTHDATE] = user.birthdate;
    return data;
  }
}
