import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/enum_helper.dart';
import 'package:dio/dio.dart';

const String SESSION_TOKEN = "sessionToken";

class UserLoginResponse {
  final bool legalTermsAccepted;
  final String sessionToken;
  final ClientType clientType;

  UserLoginResponse({
    this.legalTermsAccepted = false,
    this.sessionToken,
    this.clientType,
  });

  factory UserLoginResponse.asCompleted(Response<dynamic> response) {
    final Map<String, dynamic> json = response.data;
    final headersMap = response.headers.map;
    final String clientTypeString =
        headersMap[Constants.HEADER_CLIENT_TYPE].first;
    return UserLoginResponse(
      legalTermsAccepted: true,
      sessionToken: json[SESSION_TOKEN],
      clientType:
          EnumHelper.enumFromString(clientTypeString, ClientType.values),
    );
  }

  factory UserLoginResponse.asEnrollmentNeeded(String jwt) {
    return UserLoginResponse(
      legalTermsAccepted: false,
      sessionToken: jwt,
    );
  }
}
