import 'package:dcoupon_sdk_flutter_package/src/domain/entities/user.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserModel extends User {
  UserModel({
    String email,
    String alias,
    String gender,
    String birthdate,
  }) : super(
          email: email,
          alias: alias,
          gender: gender,
          birthdate: birthdate,
        );

  factory UserModel.fromJson(Map<String, dynamic> json) {
    return UserModel(
      email: json[Constants.EMAIL],
      alias: json[Constants.ALIAS],
      gender: json[Constants.GENDER],
      birthdate: json[Constants.BIRTHDATE],
    );
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.EMAIL] = email;
    data[Constants.ALIAS] = alias;
    data[Constants.GENDER] = gender;
    data[Constants.BIRTHDATE] = birthdate;
    return data;
  }
}
