import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';

abstract class LoyaltyRepository {
  Future<Either<Failure, dynamic>> getLoyaltyAffiliates();

  Future<Either<Failure, dynamic>> getUserLoyaltyCards();

  Future<Either<Failure, dynamic>> addOrUpdateLoyaltyCard({
    String affiliateApiToken,
    String cardNumber,
  });

  Future<Either<Failure, dynamic>> deleteLoyaltyCard({
    String affiliateApiToken,
    String cardNumber,
  });
}
