import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/data/models/user_get_enrollment_form_response.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/user_repository.dart';

class UserGetEnrollmentForm
    implements UseCase<UserGetEnrollmentFormResponse, NoParams> {
  final UserRepository repository;

  UserGetEnrollmentForm(
    this.repository,
  );

  @override
  Future<Either<Failure, UserGetEnrollmentFormResponse>> call(
      NoParams params) async {
    return await repository.getEnrollmentForm();
  }
}
