import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class BottomPickerWidget extends StatelessWidget {
  final Widget cupertinoPicker;

  const BottomPickerWidget({
    Key key,
    @required this.cupertinoPicker,
  }) : super(key: key);

  final double _kPickerSheetHeight = 216.0;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.end,
      children: <Widget>[
        Container(
          alignment: Alignment.centerRight,
          width: MediaQuery.of(context).size.width,
          color: CupertinoColors.white,
          child: FlatButton(
            onPressed: () {
              Navigator.of(context).pop();
            },
            child: Text(
              'OK',
              style: Theme.of(context).textTheme.button,
            ),
          ),
        ),
        Container(
          height: _kPickerSheetHeight,
          padding: const EdgeInsets.only(top: 6.0),
          color: CupertinoColors.white,
          child: DefaultTextStyle(
            style: const TextStyle(
              color: CupertinoColors.black,
              fontSize: 22.0,
            ),
            child: GestureDetector(
              // Blocks taps from propagating to the modal sheet and popping.
              onTap: () {},
              child: SafeArea(
                top: false,
                child: cupertinoPicker,
              ),
            ),
          ),
        ),
      ],
    );
  }
}
